st-featured-collection-tabs {
  display: contents;
}

.section-st-featured-collection-tabs {
  background-color: rgb(var(--color-background));
}

.st-featured-collection-tabs__tabs-wrapper {
  width: 100%;
}

.st-featured-collection-tabs__tabs-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-block-end: 40px;
}

.st-featured-collection-tabs__tabs-list {
  display: flex;
  gap: 20px;
  overflow-x: auto;
}

.st-featured-collection-tabs__tabs-content {
  position: relative;
}

.st-featured-collection-tabs__tabs-content-inner {
  animation: column-fade-in 0.8s ease;
  animation-fill-mode: forwards;
}

.st-featured-collection-tabs__track {
  row-gap: 20px;
}

@media (max-width: 959px) {
  .st-featured-collection-tabs__tabs-content-inner.mobile-full-width {
    width: var(--body-container-width);
    margin-inline-start: calc(50% - calc(var(--body-container-width) / 2));
  }

  .st-featured-collection-tabs__tabs-content-inner.mobile-full-width
    .product-card-border-shadow {
    border-radius: 0;
  }

  .st-featured-collection-tabs__tabs-content-inner.mobile-full-width
    .st-featured-collection-tabs__track {
    gap: 0;
  }
}

@media (min-width: 960px) {
  .st-featured-collection-tabs__tabs-content-inner.desktop-full-width
    .st-featured-collection-tabs__track {
    width: var(--body-container-width);
    padding-inline: var(--page-padding);
    margin-inline-start: calc(50% - calc(var(--body-container-width) / 2));
    scroll-padding-inline: var(--page-padding);
  }
}

.st-featured-collection-tabs__tab {
  padding: 10px 20px;
  color: var(--tab-color);
  white-space: nowrap;
  cursor: pointer;
  background-color: var(--tab-background-color);
  border-color: var(--tab-border-color);
  border-style: solid;
  border-width: 1px;
  border-radius: 6px;
}

.st-featured-collection-tabs__tab.active {
  color: var(--tab-active-color);
  background-color: var(--tab-active-background-color);
  border-color: var(--tab-active-border-color);
}

.section-st-featured-collection-tabs .st-featured-collection-tabs__tab {
  font-weight: 300 !important;
}

.section-st-featured-collection-tabs .st-featured-collection-tabs__tab.active {
  text-decoration: underline;
  text-underline-offset: 10px;
  text-decoration-thickness: 2px;
  text-decoration-color: var(--tab-active-border-color);
  border-color: transparent;
  font-weight: 500 !important;
}

.section-st-featured-collection-tabs :is(.block-product-title, .block-product-subtitle) {
  font-weight: 500;
  font-style: normal;
}

.st-featured-collection-tabs__tabs-loading {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 550px;
}

.st-featured-collection-tabs__tabs-loading svg {
  width: 40px;
  height: 40px;
}

.st-featured-collection-tabs__carousel
  .st-featured-collection-tabs__carousel-indicator-progress {
  max-width: 480px;
  height: 6px;
}

.st-featured-collection-tabs__carousel-view-more {
  background-color: #e1e4e8;
}

.st-featured-collection-tabs__carousel-view-more a {
  color: #000;
}

.st-featured-collection-tabs__carousel-view-more a::after {
  display: none;
}

.st-featured-collection-tabs__carousel-view-more-button {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.st-featured-collection-tabs__carousel-view-more-button-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  background-color: #fff;
  border-radius: 50%;
}

.st-featured-collection-tabs__button {
  position: absolute;
  inset-block-start: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  color: rgb(255 255 255 / 100%);
  background-color: rgb(0 0 0 / 100%);
  border: 0;
  border-radius: 2px;
  box-shadow: 0 4px 10px rgb(0 0 0 / 15%);
}

.st-featured-collection-tabs__button:disabled {
  display: none;
}

.st-featured-collection-tabs__button--previous {
  inset-inline-start: 0;
}

.st-featured-collection-tabs__button--previous svg {
  transform: rotate(180deg);
}

.st-featured-collection-tabs__button--next {
  inset-inline-end: 0;
}

@media (min-width: 960px) {
  .section-st-featured-collection-tabs .st-featured-collection-tabs__tabs-list {
    width: 100%;
  }

  .section-st-featured-collection-tabs .st-featured-collection-tabs__tab {
    font-size: 24px;
    flex: 1;
    text-align: center;
  }

  .section-st-featured-collection-tabs .block-product-title {
    font-size: 24px;
  }

  .section-st-featured-collection-tabs .block-product-subtitle {
    font-size: 16px;
  }

  .st-featured-collection-tabs__track {
    row-gap: 48px;
  }
}
